package com.bonus.boot.manager.manager.entity;

import lombok.Data;

/**
 * @author bonus
 */
@Data
public class ProjectBean {
    private String id;//编号
    private String name;//工程名称
    private String code;
    private String abbreviation;//工程简称
    private String proType;//工程类型：变电工程、线路工程、配网工程、变电站工程电气调试

    private String voltageLevel;//电压等级
    private String voltageLevelId;
    private String powerGrid;// 所属电网
    private String isRegistered;//是否备案
    private String orgId;//分公司编号
    private String orgName;//分公司名称
    private String companyId;
    private String idNumber;
    private String ext;

    public String getSecurityName() {
        return securityName;
    }

    public void setSecurityName(String securityName) {
        this.securityName = securityName;
    }

    private String securityName;
    public String getExt() {
        return ext;
    }
    public void setExt(String ext) {
        this.ext = ext;
    }

    public String getRegisterAddressCode() {
        return registerAddressCode;
    }

    public void setRegisterAddressCode(String registerAddressCode) {
        this.registerAddressCode = registerAddressCode;
    }

    public String getRegisterAddressCodeId() {
        return registerAddressCodeId;
    }

    public void setRegisterAddressCodeId(String registerAddressCodeId) {
        this.registerAddressCodeId = registerAddressCodeId;
    }

    private String registerAddressCode;//行政规划码
    private String registerAddressCodeId;

    private String origin;//所属地区
    private String lon;//经度
    private String lat;//纬度
    private String status;//工程状态：筹备，在建，完工，停工
    private String contractSigningDate;// 项目合同签订日期
    private String contractPrice;//签约合同价（万元）
    private String startTime;//项目（计划）开工时间
    private String endTime;//项目（计划）竣工时间
    private String proLeader;//负责人姓名
    private String proLeaderPhone;// 负责人联系方式
    private String isInsurance; //是否购买工伤保险
    private String securityPayments;//项目保障金预存额
    private String paymentType; //保障金类型
    private String paymentFile;//保障金附件
    private String labourSpecialName;//劳资专管员姓名
    private String labourSpecialPhone;// 劳资专管员手机号码
    private String labourSpecialIdCard;//劳资专管员身份证
    private String payDate;// 发薪日期
    private String projectManager;//项目经理
    private String phone;//项目经理联系电话
    private String managerNumber; //项目经理证件号码
    private String approachDate;// 项目经理进场时间
    private String boardFile;//维权告示牌附件
    private String fatureTags;// 特性标签

    private String isPush;// 推送状态
    private String pushTime;// 推送时间

    private String bankAccount;//工资专户所属银行
    private String bankAccountId;

    private String accountName;//开户名称
    private String bankName; //开户支行名称
    private String openBankType;//开户类型
    private String specialBankType;// 专户类型
    private String payWay;//工资发放渠道
    private String openBankNumber;//开户账号
    private String accountBalance;//账户余额
    private String updateTime;//修改时间
    private String isActive;//是否有效

    private String fileName;//附件名称
    private String filePath;//附件路径
    private String fileType;//附加类型：pdf photo
    private String accessoryType;//附件类别：保证金，维权告示牌
    private String uploadUser;//上传人
    private String proId;//工程id

    private String broadNum;
    private String broadFilePaths;
    private String boardFileId;
    private String exitDate;
    private String exitTime;
    private String isSynchronousExit;
    private String einTime;
    private String securityMaymentsNum;
    private String securityMaymentsFilePaths;
    private String securityMaymentsFileId;


    public ProjectBean(String orgId, String status, String companyId) {
        this.orgId = orgId;
        this.status = status;
        this.companyId = companyId;
    }

    private boolean flag = false;

    private String relType;

    public String getVoltageLevelId() {
        return voltageLevelId;
    }

    public void setVoltageLevelId(String voltageLevelId) {
        this.voltageLevelId = voltageLevelId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBroadNum() {
        return broadNum;
    }

    public void setBroadNum(String broadNum) {
        this.broadNum = broadNum;
    }

    public String getBroadFilePaths() {
        return broadFilePaths;
    }

    public void setBroadFilePaths(String broadFilePaths) {
        this.broadFilePaths = broadFilePaths;
    }

    public String getBoardFileId() {
        return boardFileId;
    }

    public void setBoardFileId(String boardFileId) {
        this.boardFileId = boardFileId;
    }

    public String getSecurityMaymentsNum() {
        return securityMaymentsNum;
    }

    public void setSecurityMaymentsNum(String securityMaymentsNum) {
        this.securityMaymentsNum = securityMaymentsNum;
    }

    public String getSecurityMaymentsFilePaths() {
        return securityMaymentsFilePaths;
    }

    public void setSecurityMaymentsFilePaths(String securityMaymentsFilePaths) {
        this.securityMaymentsFilePaths = securityMaymentsFilePaths;
    }

    public String getSecurityMaymentsFileId() {
        return securityMaymentsFileId;
    }

    public void setSecurityMaymentsFileId(String securityMaymentsFileId) {
        this.securityMaymentsFileId = securityMaymentsFileId;
    }

    public ProjectBean() {
    }
}
